org.apache.jmeter.samplers

## Class Entry

- java.lang.Object
- - org.apache.jmeter.samplers.Entry

    public class Entry
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAssertion(Assertion assertion)`
`void` `addConfigElement(ConfigElement config)`
`void` `addConfigElement(ConfigElement config, Class<?> asClass)` Add a config element as a specific class.
`List<Assertion>` `getAssertions()`
`ConfigElement` `getConfigElement(Class<?> configClass)`
`Class<?>` `getSamplerClass()`
`void` `setSamplerClass(Class<?> samplerClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### addAssertion

    public void addAssertion(Assertion assertion)

#### getAssertions

    public List<Assertion> getAssertions()

#### setSamplerClass

    public void setSamplerClass(Class<?> samplerClass)

#### getSamplerClass

    public Class<?> getSamplerClass()

#### getConfigElement

    public ConfigElement getConfigElement(Class<?> configClass)

#### addConfigElement

    public void addConfigElement(ConfigElement config)

#### addConfigElement

    public void addConfigElement(ConfigElement config,
                                 Class<?> asClass)

Add a config element as a specific class. Usually this is done to add a subclass as one of it's parent classes.

Parameters:
  `config` - the `ConfigElement` to be added
  `asClass` - the `Class` under which the `ConfigElement` should be registered